<?php

/* DCMS Special
 * Дата последнего редактирования 20.12.2015
 * Модифицировал densnet
 */

function obmen_path($path) {
    $path = preg_replace("#(/){1,}#", "/", $path);
    $path = preg_replace("#(^(/){1,})|((/){1,}$)#", "", $path);
    $path_arr = explode('/', $path);
    $rdir = NULL;
    $rudir = NULL;
    for ($i = 0; $i < count($path_arr); $i++) {
        $of = '/';
        for ($z = 0; $z <= $i; $z++) {
            $of.=$path_arr[$z] . '/';
        }
        $rdir.=$path_arr[$i] . '/';

        $dir_id = mysql_fetch_assoc(mysql_query("SELECT * FROM `obmennik_dir` WHERE `dir` = '/$rdir' OR `dir` = '$rdir/' OR `dir` = '$rdir' LIMIT 1"));
        $dirname = $dir_id['name'];
        $rudir.="<a class='nav-link'>" . $dirname . '</a> <i class="fa fa-angle-right fa-fw"></i> ';
    }

    return preg_replace("# &gt; $#", "", $rudir);
}
